# Awesome OSINT [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

A curated list of amazingly awesome open source intelligence tools and resources.
Open-source intelligence (OSINT) is intelligence collected from publicly available sources.
In the intelligence community (IC), the term "open" refers to overt, publicly available sources (as opposed to covert or clandestine sources)

## Contributing

Please read [CONTRIBUTING](./CONTRIBUTING.md) if you wish to add tools or resources.

## Table of Contents
-----------------
 - [General Search](#general-search)
 - [Main National Search Engines](#main-national-search-engines)
 - [Meta Search](#meta-search)
 - [Specialty Search Engines](#specialty-search-engines)
 - [Visual Search and Clustering Search Engines](#visual-search-and-clustering-search-engines)
 - [Similar Sites Search](#similar-sites-search)
 - [Document and Slides Search](#document-and-slides-search)
 - [Pastebins](#pastebins)
 - [Code Search](#code-search)
 - [Major Social Networks](#major-social-networks)
 - [Real-Time Search, Social Media Search, and General Social Media Tools](#real-time-search-social-media-search-and-general social-media-tools)
 - [Social Media Tools: Twitter](#social-media-tools-twitter)
 - [Social Media Tools: Facebook](#social-media-tools-facebook)
 - [Social Media Tools: Google+](#social-media-tools-google+)
 - [Social Media Tools: Instagram](#social-media-tools-instagram)
 - [Social Media Tools: Pinterest](#social-media-tools-pinterest)
 - [Social Media Tools: Reddit](#social-media-tools-reddit)
 - [Social Media Tools: VKontakte](#social-media-tools-vkontakte)
 - [Social Media Tools: Tumblr](#social-media-tools-tumblr)
 - [Social Media Tools: LinkedIn](#social-media-tools-linkedin)
 - [Blog Search](#blog-search)
 - [Forums and Discussion Boards Search](#forums-and-discussion-boards-search)
 - [Username Check](#username-check)
 - [People Investigations](#people-investigations)
 - [E-mail Search / E-mail Check](#e-mail-search-check)
 - [Expert Search](#expert-search)
 - [Company Research](#company-research)
 - [Job Search Resources](#job-search-resources)
 - [Q&A Sites](#qa-sites)
 - [Domain and IP Research](#domain-and-ip-research)
 - [Keywords Discovery and Research](#keywords-discovery-and-research)
 - [Web History and Website Capture](#web-history-and-website-capture)
 - [Language Tools](#language-tools)
 - [Image Search](#image-search)
 - [Image Analysis](#image-analysis)
 - [Stock Images](#stock-mages)
 - [Video Search and Other Video Tools](#video-search-and-other-video-tools)
 - [Radio and Podcasts Tools](#radio-and-podcasts-tools)
 - [Academic Resources and Grey Literature](#academic-resources-and-grey-literature)
 - [Books and Reading](#books-and-reading)
 - [Geospatial Research and Mapping Tools](#geospatial-research-and-mapping-tools)
 - [News](#news)
 - [News Digest and Discovery Tools](#news-digest-and-discovery-tools)
 - [Fact Checking](#fact-checking)
 - [Data and Statistics](#data-and-statistics)
 - [Web Monitoring](#web-monitoring)
 - [Bookmarking](#bookmarking)
 - [Startpages](#startpages)
 - [Browsers](#browsers)
 - [Offline Browsing](#offline-browsing)
 - [VPN Services](#vpn-services)
 - [Notetaking](#notetaking)
 - [Annotation Tools](#annotation-tools)
 - [Writing and Office Tools](#writing-and-office-tools)
 - [Slideshow and Presentation Tools](#slideshow-and-presentation-tools)
 - [Digital Publishing](#digital-publishing)
 - [Newsletter Tools](#newsletter-tools)
 - [Digital Storytelling](#digital-storytelling)
 - [Infographics and Data Visualization](#infographics-and-data-visualization)
 - [Image and Photo Editing](#image-and-photo-editing)
 - [Productivity Tools](#productivity-tools)
 - [E-mail Management](#e-mail-management)
 - [Document and Reference Management](#document-and-reference-management)
 - [PDF Management](#pdf-management)
 - [OCR Tools](#ocr-tools)
 - [Cloud Storage and File Sharing](#cloud-storage-and-file-sharing)
 - [Web Automation](#web-automation)
 - [Dashboard Tools](#dashboard-tools)
 - [Wikis](#wikis)
 - [Collaboration and Project Management](#collaboration-and-project-management)
 - [Communication Tools](#communication-tools)
 - [Calendars and Scheduling](#calendars-and-scheduling)
 - [Mind Mapping, Concept Mapping and Idea Generation Tools](#mind-mapping-concept-mapping-and-idea-generation-tools)
 - [Social Network Analysis](#social-network-analysis)
 - [Privacy and Encryption Tools](#privacy-and-encryption-tools)
 - [Other Tools](#other-tools)

### Download PDF

- [OSINT Tools and Resources Handbook](http://www.i-intelligence.eu/open-source-intelligence-tools-and-resources-handbook/)

## General Search

* [Advangle](http://advangle.com)
* [Aol](http://search.aol.com)
* [Ask](http://www.ask.com)
* [Bing](http://www.bing.com)
* [Better Search](https://chrome.google.com/webstore/detail/better-search/ipicopkjbiphdmegamfkeieghhmcjema)
* [Dothop](http://dothop.com)
* [DuckDuckGo](https://duckduckgo.com)
* [Excite](http://www.excite.com)
* [Factbites](http://www.factbites.com)
* [Gigablast](http://gigablast.com)
* [Goodsearch](http://www.goodsearch.com)
* [Google Search](http://www.google.com)
* [Info.com](http://www.info.com)
* [Infospace](http://www.infospace.com)
* [Instya](http://www.instya.com)
* [Impersonal.me](http://www.impersonal.me)
* [iSEEK Education](http://education.iseek.com/iseek/home.page)
* [ixquick](https://www.ixquick.com)
* [Lycos](http://www.lycos.com)
* [Mojeek](http://www.mojeek.com)
* [MyWebSearch](http://home.mywebsearch.com)
* [Oscobo](https://oscobo.co.uk)
* [Polyfetch](http://www.polyfetch.com)
* [Parseek (Iran)](http://www.parseek.com)
* [Peeplo](http://www.peeplo.com)
* [Search.com](http://www.search.com)
* [SurfCanyon](http://www.surfcanyon.com)
* [Teoma](http://www.teoma.com)
* [Wolfram Alpha](http://www.wolframalpha.com)
* [Yahoo! Search](http://www.yahoo.com)

## Main National Search Engines

* [Alleba (Philippines)](http://www.alleba.com)
* [Ansearch (Australia)](http://www.ansearch.com.au)
* [Baidu (China)](http://www.baidu.com)
* [Daum (South Korea)](http://www.daum.net)
* [Eniro (Sweden)](http://www.eniro.se)
* [Goo (Japan)](http://www.goo.ne.jp)
* [Najdsi (Slovenia)](http://www.najdi.si)
* [Naver (South Korea)](http://www.naver.com)
* [Onet.pl (Poland)](http://www.onet.pl)
* [Orange (France)](http://www.orange.fr)
* [Parseek (Iran)](http://www.parseek.com)
* [SAPO (Portugal)](http://www.sapo.pt)
* [Search.ch (Switzerland)](http://www.search.ch)
* [Walla (Israel)](http://www.walla.co.il)
* [Yandex (Russia)](http://www.yandex.com)

## Meta Search

* [All-in-One](http://all-io.net)
* [AllTheInternet](http://www.alltheinternet.com)
* [Dogpile](http://www.dogpile.com)
* [Etools](http://www.etools.ch)
* [Excite](http://msxml.excite.com)
* [FaganFinder](http://www.faganfinder.com/engines)
* [Glearch](http://www.glearch.com)
* [Goofram](http://www.goofram.com)
* [iZito](http://www.izito.com)
* [Nextaris](http://www.nextaris.com)
* [Metabear](http://www.metabear.com)
* [Myallsearch](http://www.myallsearch.com)
* [Qrobe](http://qrobe.it)
* [Qwant](http://www.qwant.com)
* [Sputtr](http://www.sputtr.com)
* [Trovando](http://www.trovando.it)
* [WebCrawler](http://www.webcrawler.com)
* [WiinkZ](http://www.wiinkz.com)
* [Zapmeta](http://www.zapmeta.com)

## Specialty Search Engines

* [2lingual Search](http://www.2lingual.com)
* [Biznar](http://biznar.com)
* [CiteSeerX](http://citeseer.ist.psu.edu)
* [FindTheCompany](http://www.findthecompany.com)
* [Digle](https://www.digle.com)
* [Google Custom Search](http://www.google.com/cse)
* [Harmari (Unified Listings Search)](https://www.harmari.com/search/unified)
* [Internet Archive](https://archive.org/)
* [Liveplasma](http://www.liveplasma.com)
* [Million Short](https://millionshort.com)
* [WorldWideScience.org](http://worldwidescience.org)
* [Zanran](http://zanran.com)

## Visual Search and Clustering Search Engines

* [Binpad](http://www.binpad.com)
* [Carrot2](http://search.carrot2.org)
* [Cluuz](http://www.cluuz.com)
* [EntityCube](http://entitycube.research.microsoft.com)
* [Touchgraph](http://www.touchgraph.com)
* [Yippy](http://yippy.com)

## Similar Sites Search

* [Google Similar Pages](https://chrome.google.com/webstore/detail/google-similar-pages/pjnfggphgdjblhfjaphkjhfpiiekbbej)
* [SimilarPages](http://www.similarpages.com)
* [SimilarSites](http://www.similarsites.com)
* [SimilarSiteSearch](http://www.similarsitesearch.com)
* [SitesLike](http://www.siteslike.com)

## Document and Slides Search

* [Authorstream](http://www.authorstream.com)
* [Find-pdf-doc](http://www.findpdfdoc.com)
* [Free Full PDF](http://www.freefullpdf.com)
* [Hashdoc](https://www.hashdoc.com)
* [Offshore Leak Database](https://offshoreleaks.icij.org)
* [PasteLert](http://andrewmohawk.com/pasteLert/index.php)
* [PDF Search Engine](http://www.pdfsearchengine.info)
* [PDFgeni](http://www.pdfgeni.com)
* [PDFgive](http://pdfgive.net)
* [PDFSB](http://pdfsb.net)
* [PDFSR](http://pdfsr.com)
* [PPTHunter](http://www.ppthunter.com)
* [RECAP](http://archive.recapthelaw.org)
* [Scribd](http://www.scribd.com)
* [SlideSearchEngine](http://www.slidesearchengine.com)
* [SlideShare](http://www.slideshare.net)
* [Slideworld](http://www.slideworld.com)
* [soPDF.com](http://www.sopdf.com)

## Pastebins

* [Custom Pastebin Search](https://inteltechniques.com/osint/menu.pastebins.html)
* [PastebinTrends](http://pastebin.com/trends)
* [PasteLert](http://andrewmohawk.com/pasteLert)

## Code Search

* [NerdyData](https://search.nerdydata.com)
* [SearchCode](https://searchcode.com)

## Major Social Networks

* [Draugiem (Latvia)](https://www.draugiem.lv)
* [Facebook](http://www.facebook.com)
* [Facenama (Iran)](http://facenama.com)
* [Google+](https://plus.google.com)
* [Instagram](https://www.instagram.com)
* [Linkedin](https://www.linkedin.com)
* [Mixi (Japan)](https://mixi.jp)
* [Odnoklassniki (Russia)](http://ok.ru)
* [Pinterest](http://www.pinterest.com)
* [Qzone (China)](http://qzone.qq.com)
* [Reddit](https://www.reddit.com)
* [Taringa (Latin America)](http://www.taringa.net)
* [Tinder](https://www.gotinder.com)
* [Tumblr](https://www.tumblr.com)
* [Twitter](https://twitter.com)
* [Weibo (China)](http://weibo.com)
* [VKontakte](https://vk.com)
* [Xing](https://www.xing.com)

## Real-Time Search, Social Media Search, and General Social Media Tools

* [Addict-o-matic](http://addictomatic.com)
* [Audiense](https://www.audiense.com)
* [Bottlenose](http://bottlenose.com)
* [Brandwatch](https://www.brandwatch.com)
* [Buffer](https://buffer.com)
* [Buzz sumo](http://buzzsumo.com)
* [Cyfe](http://www.cyfe.com)
* [Flumes](http://flumes.com)
* [Gaddr](https://gaddr.me)
* [Geocreepy](http://www.geocreepy.com)
* [Geofeedia](https://geofeedia.com)
* [Hootsuite](http://hootsuite.com)
* [HowSociable](http://www.howsociable.com)
* [Hashtatit](http://www.hashatit.com)
* [Icerocket](http://www.icerocket.com)
* [Klear](http://klear.com)
* [Klout](http://klout.com)
* [Kred](http://kred.com)
* [MustBePresent](http://mustbepresent.com)
* [Netvibes](http://www.netvibes.com)
* [OpinionCrawl](http://www.opinioncrawl.com)
* [Rival IQ](https://www.rivaliq.com)
* [RSS Social Analyzer](https://chrome.google.com/webstore/detail/rss-social-analyzer/ncmajlpbfckecekfamgfkmckbpihjfdn?hl=en)
* [SmashFuse](http://smashfuse.com)
* [Social Analytics](https://chrome.google.com/webstore/detail/social-analytics/pgckigmaefoaemjpijdepakcghjkggmg)
* [SocialBakers](http://www.socialbakers.com)
* [SociaBlade](http://socialblade.com)
* [Social DownORNot](http://social.downornot.com)
* [Social Mention](http://socialmention.com)
* [Social Searcher](http://www.social-searcher.com)
* [Spinn3r](http://spinn3r.com)
* [Tagboard](https://tagboard.com)
* [Trackur](http://www.trackur.com)
* [UVRX](http://www.uvrx.com/social.html)

## Social Media Tools: Twitter

* [AllMyTweets](https://www.allmytweets.net/connect/)
* [Backtweets](http://backtweets.com)
* [Bioischanged](http://bioischanged.com)
* [Blue Nod](http://bluenod.com)
* [Commun.it](http://commun.it)
* [Crate](https://getcrate.co)
* [Custom Twitter Tools](https://inteltechniques.com/osint/menu.twitter.html)
* [doesfollow](https://doesfollow.com)
* [Fake Follower Check](https://fakers.statuspeople.com)
* [FirstTweet](https://discover.twitter.com/first-tweet#i_intelligence)
* [First Tweet](http://ctrlq.org/first)
* [Foller.me](http://foller.me)
* [FollowCheck](http://followcheck.com)
* [Followerwonk](http://followerwonk.com)
* [Geochirp](http://www.geochirp.com)
* [GeoSocial Footprint](http://geosocialfootprint.com)
* [GetTwitterID](http://gettwitterid.com)
* [Gigatweeter](http://gigatweeter.com)
* [Ground Signal](https://www.groundsignal.com)
* [HappyGrumpy](https://www.happygrumpy.com)
* [Harvard TweetMap](http://worldmap.harvard.edu/tweetmap)
* [Hashtagify](http://hashtagify.me)
* [Hashtags.org](http://www.hashtags.org)
* [introduce](http://www.introduceapp.me)
* [InTweets](http://intweets.com)
* [ManageFlitter](http://manageflitter.com)
* [Mentionmapp](http://mentionmapp.com)
* [My Top Tweet](https://mytoptweet.com)
* [OneMillionTweetMap](http://onemilliontweetmap.com)
* [Queryfeed](https://queryfeed.net)
* [Rank Speed](http://www.rankspeed.com)
* [Riffle](http://crowdriff.com/riffle/)
* [RiteTag](https://ritetag.com)
* [Sentiment140](http://www.twittersentiment.appspot.com)
* [Silver Bird](https://chrome.google.com/webstore/detail/silver-bird/encaiiljifbdbjlphpgpiimidegddhic?hl=en)
* [SnapBird](http://snapbird.org)
* [Sleeping Time](http://sleepingtime.org)
* [Social Bearing](http://www.socialbearing.com)
* [Social Rank First Follower](http://socialrank.com/firstfollower)
* [Tagdef](https://tagdef.com)
* [TeachingPrivacy](http://app.teachingprivacy.com)
* [Tinfoleak](https://tinfoleak.com)
* [Trends24](http://trends24.in)
* [TrendsMap](http://trendsmap.com)
* [Twazzup](http://www.twazzup.com)
* [twbirthday](http://twbirthday.com)
* [TwChat](http://twchat.com)
* [tweepsect](http://tweepsect.com)
* [Tweet4me](http://tweet4.me)
* [TweetArchivist](http://www.tweetarchivist.com)
* [Tweet Chat](http://www.tweetchat.com)
* [TweetDeck](https://www.tweetdeck.com)
* [Tweeten](http://tweeten.xyz)
* [TweetMap](http://mapd.csail.mit.edu/tweetmap)
* [TweetMap](http://worldmap.harvard.edu/tweetmap)
* [Tweetpaths](http://www.tweetpaths.com)
* [TweetPsych](http://tweetpsych.com)
* [Tweetreach](http://tweetreach.com)
* [TweetStats](http://www.tweetstats.com)
* [Tweet Tag](http://www.tweet-tag.com)
* [TweetTunnel](http://tweettunnel.com)
* [Twellow](http://www.twellow.com)
* [Tweriod](http://www.tweriod.com)
* [Twiangulate](http://www.twiangulate.com)
* [Twicsy](http://twicsy.com)
* [Twilert](http://www.twilert.com)
* [Twipho](http://www.twipho.net)
* [Twitonomy](http://www.twitonomy.com)
* [TwitRSS](https://twitrss.me)
* [Twitter Advanced Search](https://twitter.com/search-advanced?lang=en)
* [Twitter Audit](https://www.twitteraudit.com)
* [Twitter Chat Schedule](http://tweetreports.com/twitter-chat-schedule)
* [Twitter Counter](http://twittercounter.com)
* [Twitterfall](http://twitterfall.com)
* [Twitter Search](http://search.twitter.com)
* [Twitter Search Tools](https://inteltechniques.com/intel/OSINT/twitter.html)
* [TWUBS Twitter Chat](http://twubs.com/twitter-chats)
* [Schedule Warble](https://warble.co)

## Social Media Tools: Facebook
## Social Media Tools: Google+
## Social Media Tools: Instagram
## Social Media Tools: Pinterest
## Social Media Tools: Reddit
## Social Media Tools: VKontakte
## Social Media Tools: Tumblr
## Social Media Tools: LinkedIn
## Blog Search
## Forums and Discussion Boards Search
## Username Check
## People Investigations
## E-mail Search / E-mail Check
## Expert Search
## Company Research
## Job Search Resources
## Q&A Sites
## Domain and IP Research
## Keywords Discovery and Research
## Web History and Website Capture
## Language Tools
## Image Search
## Image Analysis
## Stock Images
## Video Search and Other Video Tools
## Radio and Podcasts Tools
## Academic Resources and Grey Literature
## Books and Reading
## Geospatial Research and Mapping Tools
## News
## News Digest and Discovery Tools
## Fact Checking
## Data and Statistics
## Web Monitoring
## Bookmarking
## Startpages
## Browsers
## Offline Browsing
## VPN Services
## Notetaking
## Annotation Tools
## Writing and Office Tools
## Slideshow and Presentation Tools
## Digital Publishing
## Newsletter Tools
## Digital Storytelling
## Infographics and Data Visualization
## Image and Photo Editing
## Productivity Tools
## E-mail Management
## Document and Reference Management
## PDF Management
## OCR Tools
## Cloud Storage and File Sharing
## Web Automation
## Dashboard Tools
## Wikis
## Collaboration and Project Management
## Communication Tools
## Calendars and Scheduling
## Mind Mapping, Concept Mapping and Idea Generation Tools
## Social Network Analysis
## Privacy and Encryption Tools
## Other Tools

## License

![cc license](http://i.creativecommons.org/l/by-sa/4.0/88x31.png)

This work is licensed under a [Creative Commons Attribution-ShareAlike 4.0 International](http://creativecommons.org/licenses/by-sa/4.0/) license.